{"openapi":"3.0.0","info":{"description":"This is a draft of JOOR 2 way order API.\n","version":"1.0.0","title":"2 Way Orders API","termsOfService":"http://swagger.io/terms/","contact":{"email":"apiteam@swagger.io"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/joor-api-v2/2_way_orders/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/joor-api/2_way_orders/1.0.0"},{"url":"https://petstore.swagger.io/v2"}],"paths":{"/casepacks":{"get":{"operationId":"listCasepacks","tags":["casepacks"],"parameters":[{"in":"query","name":"account","schema":{"type":"string"},"description":"REQUIRED. The Account ID for which to fetch their Casepacks."}],"responses":{"200":{"description":"An Array of Casepacks.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ListCasepack"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}},"default":{"description":"Unexpected Error - Please ensure 'Authorization' header is set to a valid token and ensure 'Accept'  header is set to 'application/json'.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultError"}}}}},"summary":"Fetch Casepacks"}},"/orders":{"get":{"operationId":"listOrders","tags":["orders"],"parameters":[{"in":"query","name":"account","schema":{"type":"string"},"description":"REQUIRED. The Account ID for which to fetch Orders."},{"in":"query","name":"order_ids","schema":{"type":"array","items":{"type":"string"}},"description":"OPTIONAL. IDs of Orders to list. This acts as a filter to all orders under the account passed in."},{"in":"query","name":"status","schema":{"type":"string","enum":["IN_PROGRESS","NOTES","PENDING","APPROVED","SHIPPED","CANCELLED","RETURNED"]},"description":"OPTIONAL. Multiple order status value to filter in."},{"in":"query","name":"date_approved_start","schema":{"type":"string"},"description":"OPTIONAL. Date approved from"},{"in":"query","name":"date_approved_end","schema":{"type":"string"},"description":"OPTIONAL. Date approved to"},{"in":"query","name":"export_status","schema":{"type":"string","enum":["SUCCESS","UNDEFINED","FAILED"]},"description":"OPTIONAL. Multiple order export status value to filter in."},{"in":"query","name":"last_modified","schema":{"type":"string"},"description":"OPTIONAL. Filter to return only orders updated after the indicated date (YYYY-MM-DD or YYYY-MM-DDThh:mm:ss.msZ)"},{"in":"query","name":"sort_by","schema":{"type":"string"},"description":"OPTIONAL. Name of the field to sort orders by. If neither `sort_by` and `sort_order` are specified, the default ordering will by `id` in descending order."},{"in":"query","name":"sort_order","schema":{"type":"string","enum":["ASCENDING","DESCENDING"]},"description":"OPTIONAL. Sorting order in which to display the results. Default is `ASCENDING`. Must be used together with `sort_by`, otherwise an error will be raised"},{"in":"query","name":"page_size","schema":{"type":"integer"},"description":"OPTIONAL. Number of orders to be displayed in each page (must be an integer greater than 0). Default value is 1000000 (this value may change in the future)."},{"in":"query","name":"page","schema":{"type":"integer"},"description":"OPTIONAL. Page number associated to the page to be displayed (must be an integer greater than 0). Default value is 1."}],"responses":{"200":{"description":"An Array of Orders.","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","example":3},"total_pages":{"type":"integer","example":3},"next_page":{"type":"string","example":"/v4/orders/?account=1&user_id=1&page_size=1&page=2"},"previous_page":{"type":"string","example":null},"data":{"type":"array","items":{"$ref":"#/components/schemas/ListOrder"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}},"default":{"description":"Unexpected Error - Please ensure 'Authorization' header is set to a valid token and ensure 'Accept'  header is set to 'application/json'.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultError"}}}}},"summary":"Fetch Orders"}},"/orders/bulk_create":{"post":{"summary":"Create Orders","operationId":"createOrders","tags":["orders"],"requestBody":{"description":"List of Orders to create.","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderCreateData"}}}}},"responses":{"200":{"description":"An Array of the created Orders.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Order"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/OrdersErrorCreate"}}}}}}},"default":{"description":"Unexpected Error - Please ensure 'Authorization' header is set to a valid token, ensure 'Accept'  header is set to 'application/json', and ensure that all trait_ids line up with the ones returned from the GET /traits endpoint.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultError"}}}}}}},"/orders/bulk_update":{"post":{"summary":"Update Orders","operationId":"updateOrders","tags":["orders"],"requestBody":{"description":"List of Orders to update.","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderUpdateData"}}}}},"responses":{"200":{"description":"An array of orders","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Order"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/OrdersErrorUpdate"}}}}}}},"default":{"description":"Unexpected Error - Please ensure 'Authorization' header is set to a valid token and 'Accept'  header is set to 'application/json'. Additionally, ensure that all trait_ids line up with the ones returned from the GET /traits endpoint and that all Product IDs are valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultError"}}}}}}},"/orders/sku_line_items":{"get":{"operationId":"listSkuLineItems","tags":["line items"],"parameters":[{"in":"query","name":"account","schema":{"type":"string"},"description":"REQUIRED. The Account ID for which to fetch Order SKU Line Items."},{"in":"query","name":"order_ids","schema":{"type":"array","items":{"type":"string"}},"description":"OPTIONAL. IDs of Orders for which to list SKU Line Items. This acts as a filter to all line items under the account passed in."},{"in":"query","name":"cancelled","schema":{"type":"string"},"description":"OPTIONAL. true or false. If true it returns the cancelled items of an order, else the no cancelled. If it's not send, return no cancelled."},{"in":"query","name":"sku_external_id","schema":{"type":"string"},"description":"OPTIONAL. External ID for a particular SKU. If provided, the list will only contain SKU Line Items with the specfied SKU. This parameter is incompatible with `sku_identifier`"},{"in":"query","name":"sku_identifier","schema":{"type":"string"},"description":"OPTIONAL. Identifier code for a particular SKU. If provided, the list will only contain SKU Line Items with the specfied SKU. This parameter is incompatible with `sku_external_id`"}],"responses":{"200":{"description":"An Array of Order SKU Line Items.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItem"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}},"default":{"description":"Unexpected Error - Please ensure 'Authorization' header is set to a valid token and ensure 'Accept'  header is set to 'application/json'.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultError"}}}}},"summary":"Fetch Order SKU Line Items"}},"/orders/sku_line_items/bulk_create":{"post":{"summary":"Create Order SKU Line Items","operationId":"createSkuLineItems","tags":["line items"],"requestBody":{"description":"List of Order SKU Line Items to create.","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItemCreateData"}}}}},"responses":{"200":{"description":"An Array of the created Order SKU Line Items.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItem"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItemsErrorCreate"}}}}}}},"default":{"description":"Unexpected Error - Please ensure 'Authorization' header is set to a valid token, ensure 'Accept'  header is set to 'application/json', and ensure that all trait_ids line up with the ones returned from the GET /traits endpoint.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultError"}}}}}}},"/orders/sku_line_items/bulk_update":{"post":{"summary":"Update Order SKU Line Items","operationId":"updateSkuLineItems","tags":["line items"],"requestBody":{"description":"List of Order SKU Line Items to update.","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItemUpdateData"}}}}},"responses":{"200":{"description":"An array of order SKU line items","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItem"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItemsErrorUpdate"}}}}}}},"default":{"description":"Unexpected Error - Please ensure 'Authorization' header is set to a valid token and 'Accept'  header is set to 'application/json'. Additionally, ensure that all trait_ids line up with the ones returned from the GET /traits endpoint and that all Product IDs are valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultError"}}}}}}},"/orders/sku_line_items/bulk_delete":{"post":{"summary":"Delete Order SKU Line Items","operationId":"deleteSkuLineItems","tags":["line items"],"requestBody":{"description":"List of Order SKU Line Item IDs to delete","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItemDeleteData"}}}}},"responses":{"200":{"description":"The successful deletion of SKU line items","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItemDeleted"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/SkuLineItemsErrorDelete"}}}}}}}}}},"/transactions/bulk_create":{"post":{"summary":"Create Transactions","operationId":"createTransaction","tags":["transaction"],"requestBody":{"description":"List of Transactions to create","required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TransactionCreateData"}}}}},"responses":{"200":{"description":"The successful creation of Transactions","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/TransactionCreated"}},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}},"externalDocs":{"description":"Find out more about Swagger","url":"http://swagger.io"},"components":{"schemas":{"ListCasepack":{"type":"object","properties":{"id":{"type":"string","example":"2"},"name":{"type":"string","example":"CAS01"},"description":{"type":"array","items":{"$ref":"#/components/schemas/CasepackDescription"}}}},"ListOrder":{"type":"object","properties":{"id":{"type":"string","example":"2"},"name":{"type":"string","example":"Shirt Order"},"status":{"type":"string","enum":["IN_PROGRESS","NOTES","PENDING","APPROVED","SHIPPED","CANCELLED","RETURNED"]},"shipping_address":{"$ref":"#/components/schemas/ShippingAddress"},"shipping_method":{"$ref":"#/components/schemas/ShippingMethod"},"billing_address":{"$ref":"#/components/schemas/BillingAddress"},"sales_representative":{"$ref":"#/components/schemas/ListSalesRepresentative"},"payment_method":{"$ref":"#/components/schemas/PaymentMethod"},"price_type":{"$ref":"#/components/schemas/ListPriceType"},"discount":{"$ref":"#/components/schemas/Discount"},"total":{"type":"number","example":20},"date_created":{"type":"string","example":"2021-01-01T00:00:00Z"},"date_approved":{"type":"string","example":"2021-01-02T00:00:00Z"},"date_modified":{"type":"string","example":"2021-01-03T00:00:00Z"},"collection":{"$ref":"#/components/schemas/ListCollection"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"comments":{"type":"string","example":""},"internal_comments":{"type":"string","example":""},"event":{"$ref":"#/components/schemas/Event"},"type":{"$ref":"#/components/schemas/Type"},"season":{"$ref":"#/components/schemas/Season"},"author":{"$ref":"#/components/schemas/Author"},"customer":{"$ref":"#/components/schemas/ListCustomer"},"buyer":{"$ref":"#/components/schemas/Buyer"},"tracking_number":{"type":"string","example":"NJ241"},"export_status":{"type":"string","enum":["SUCCESS","FAILED","UNDEFINED"]},"export_description":{"type":"string","example":"Exporting"},"exported_on":{"type":"string","example":"2021-01-01T00:00:00Z"},"po_number":{"type":"string","example":"6"},"delivery_window_start":{"type":"string","example":"2021-01-01T00:00:00Z"},"delivery_window_end":{"type":"string","example":"2021-01-01T00:00:00Z"},"customer_group":{"$ref":"#/components/schemas/CustomerGroup"},"company_number":{"$ref":"#/components/schemas/CompanyNumber"},"tax":{"$ref":"#/components/schemas/Tax"}}},"Order":{"type":"object","properties":{"id":{"type":"string","example":"1132"},"customer":{"$ref":"#/components/schemas/Customer"},"status":{"type":"string","enum":["IN_PROGRESS","NOTES","PENDING","APPROVED","SHIPPED","CANCELLED","RETURNED"]},"shipping_address":{"$ref":"#/components/schemas/ShippingAddress"},"shipping_method":{"$ref":"#/components/schemas/ShippingMethod"},"billing_address":{"$ref":"#/components/schemas/BillingAddress"},"sales_representative":{"$ref":"#/components/schemas/SalesRepresentative"},"brand_payment_method":{"$ref":"#/components/schemas/BrandPaymentMethod"},"collection":{"$ref":"#/components/schemas/Collection"},"price_type":{"$ref":"#/components/schemas/PriceType"},"buyer":{"$ref":"#/components/schemas/Buyer"},"tracking_number":{"type":"string","example":"nyc322"},"export_status":{"type":"string","enum":["SUCCESS","FAILED","UNDEFINED"]},"export_description":{"type":"string","example":"export desc"},"exported_on":{"type":"string","example":"2021-01-01T00:00:00Z"},"discount":{"$ref":"#/components/schemas/Discount"}}},"ListCustomer":{"type":"object","properties":{"id":{"type":"string","example":"3"},"name":{"type":"string","example":"Cust One"},"code":{"type":"string","example":"CUST ONE"},"buyer_name":{"type":"string","example":"John Gardener"}}},"Customer":{"type":"object","properties":{"id":{"type":"string","example":"3"},"code":{"type":"string","example":"CUSTOMER_CODE_1"}}},"CustomerGroup":{"type":"object","properties":{"name":{"type":"string","example":"VIP"},"code":{"type":"string","example":"01"}}},"CompanyNumber":{"type":"object","properties":{"name":{"type":"string","example":"Company1"},"code":{"type":"string","example":"CP1"}}},"Tax":{"type":"object","properties":{"amount":{"type":"float","example":"4.0"},"number":{"type":"string","example":"1234"},"label":{"type":"string","example":"tax1"}}},"TaxRequest":{"type":"object","properties":{"amount":{"type":"number","example":"4.0"},"number":{"type":"string","example":"ABC1234"}}},"Buyer":{"type":"object","properties":{"name":{"type":"string","example":"Joor Enthusiast"},"email":{"type":"string","example":"buyer@gmail.com"}}},"ListPriceType":{"type":"object","properties":{"id":{"type":"string","example":"3"},"name":{"type":"string","example":"PT One"},"currency":{"type":"string","example":"USD"},"currency_retail":{"type":"string","example":"USD"}}},"PriceType":{"type":"object","properties":{"id":{"type":"string","example":"3212"},"name":{"type":"string","example":"PT_TWO"}}},"Discount":{"type":"object","properties":{"discount":{"type":"number","format":"double","example":30},"details":{"type":"array","items":{"$ref":"#/components/schemas/DiscountDetail"}}}},"DiscountDetail":{"type":"object","properties":{"type":{"type":"string","example":"PERCENTAGE"},"value":{"type":"number","format":"double","example":30}}},"SkuDelivery":{"type":"object","properties":{"start_ship_date":{"type":"string","nullable":true,"example":"2023-10-10"},"complete_ship_date":{"type":"string","nullable":true,"example":"2023-11-10"}}},"ListCollection":{"type":"object","properties":{"id":{"type":"string","example":"4"},"name":{"type":"string","example":"coll one"},"code":{"type":"string","example":"COL_ONE"},"start_ship_date":{"type":"string","example":"2021-01-01T00:00:00Z"},"end_ship_date":{"type":"string","example":"2021-01-02T00:00:00Z"}}},"Collection":{"type":"object","properties":{"id":{"type":"string","example":"3"},"code":{"type":"string","example":"COL"}}},"Warehouse":{"type":"object","properties":{"id":{"type":"string","example":"1"},"code":{"type":"string","example":"WAR"},"name":{"type":"string","example":"Warehouse Location"}}},"Event":{"type":"object","properties":{"event":{"type":"string","example":"In Market"},"code":{"type":"string","example":"INMARK"}}},"Type":{"type":"object","properties":{"id":{"type":"string","example":"123"},"name":{"type":"string","example":"Type"},"code":{"type":"string","example":"TYPE_CODE"}}},"Season":{"type":"object","properties":{"id":{"type":"string","example":"22"},"code":{"type":"string","example":"SUM"}}},"Author":{"type":"object","properties":{"id":{"type":"string","example":"11"},"username":{"type":"string","example":"johngard"},"email":{"type":"string","example":"johngard@gmail.com"}}},"CasepackDescription":{"type":"object","properties":{"quantity":{"type":"string","example":"10"},"size":{"type":"string","example":"L"}}},"ShippingAddress":{"type":"object","properties":{"id":{"type":"string","example":"1"},"code":{"type":"string","example":"code_one"},"name":{"type":"string","example":"John Gardeners Address"},"company":{"type":"string","example":"Armani"},"line1":{"type":"string","example":"Summer linesheet"},"line2":{"type":"string","example":"Fall linesheet"},"city":{"type":"string","example":"New York"},"state":{"type":"string","example":"NY"},"zip":{"type":"string","example":"10030"},"country":{"type":"string","example":"United States"},"country_code_iso2":{"type":"string","example":"US"},"country_code_iso3":{"type":"string","example":"USA"},"phone":{"type":"string","example":"111-222-3344"},"fax":{"type":"string","example":"Fax"},"email":{"type":"string","example":"johngardener@gmail.com"},"price":{"type":"string","description":"Shipping fee applied when shipping to the shipping address associated.","example":"5.9900"}}},"ShippingMethod":{"type":"object","properties":{"id":{"type":"string","example":"3"},"code":{"type":"string","example":"code4"},"name":{"type":"string","example":"Ground"}}},"BillingAddress":{"type":"object","properties":{"id":{"type":"string","example":"1"},"code":{"type":"string","example":"code_one"},"name":{"type":"string","example":"John Gardeners Address"},"company":{"type":"string","example":"Armani"},"line1":{"type":"string","example":"Summer linesheet"},"line2":{"type":"string","example":"Fall linesheet"},"city":{"type":"string","example":"New York"},"state":{"type":"string","example":"NY"},"zip":{"type":"string","example":"10030"},"country":{"type":"string","example":"United States"},"country_code_iso2":{"type":"string","example":"US"},"country_code_iso3":{"type":"string","example":"USA"},"phone":{"type":"string","example":"111-222-3344"}}},"ListSalesRepresentative":{"type":"object","properties":{"id":{"type":"string","example":"1"},"username":{"type":"string","example":"joor_seller"},"code":{"type":"string","example":"code4"}}},"SalesRepresentative":{"type":"object","properties":{"id":{"type":"string","example":"22"},"username":{"type":"string","example":"joor2_seller"}}},"PaymentMethod":{"type":"object","properties":{"id":{"type":"string","example":"3"},"code":{"type":"string","example":"Code 4"},"name":{"type":"string","example":"Visa Card"}}},"BrandPaymentMethod":{"type":"object","properties":{"id":{"type":"string","example":"3"},"code":{"type":"string","example":"Code 4"}}},"OrderCreateData":{"required":["status"],"properties":{"customer_id":{"type":"string","example":"2"},"customer_code":{"type":"string","example":"CUSTOMER"},"price_type_id":{"type":"string","example":"4"},"price_type_name":{"type":"string","example":"PTN"},"collection_id":{"type":"string","example":"4"},"collection_code":{"type":"string","example":"COL"},"status":{"type":"string","enum":["IN_PROGRESS","NOTES","PENDING","APPROVED","SHIPPED","CANCELLED","RETURNED"]},"shipping_address_id":{"type":"string","example":"1"},"shipping_address_code":{"type":"string","example":"SHP"},"shipping_price":{"type":"string","example":"10.86"},"billing_address_id":{"type":"string","example":"2"},"billing_address_code":{"type":"string","example":"BIL"},"sales_rep_id":{"type":"string","example":"444"},"sales_rep_code":{"type":"string","example":"SRC"},"payment_method_id":{"type":"string","example":"444"},"payment_method_code":{"type":"string","example":"PMC1"},"tracking_number":{"type":"string","example":"221XS"},"export_status":{"type":"string","enum":["UNDEFINED","SUCCESS","FAILED",""]},"export_description":{"type":"string","example":"desc"},"buyer_id":{"type":"string","example":"222"},"shipping_method_id":{"type":"string","example":"4"},"shipping_method_code":{"type":"string","example":"SMC"},"po_number":{"type":"string","maxLength":255,"example":"3456"},"comments":{"type":"string","example":"comments"},"internal_comments":{"type":"string","example":"internal comments"},"delivery_window_start":{"type":"string","description":"Optional field but required if 'delivery_window_end' is entered (YYYY-MM-DD or YYYY-MM-DDThh:mm:ss.msZ)","example":"2020-01-01"},"delivery_window_end":{"type":"string","description":"Optional field but required if 'delivery_window_start' is entered (YYYY-MM-DD or YYYY-MM-DDThh:mm:ss.msZ)","example":"2020-01-01"},"type\"":{"$ref":"#/components/schemas/Type"},"discount":{"$ref":"#/components/schemas/Discount"},"tax":{"$ref":"#/components/schemas/TaxRequest"}}},"OrderUpdateData":{"required":["id"],"properties":{"id":{"type":"string","example":"9803"},"customer_id":{"type":"string","example":"2"},"customer_code":{"type":"string","example":"CUSTOMER"},"price_type_id":{"type":"string","example":"4"},"price_type_name":{"type":"string","example":"PTN"},"collection_id":{"type":"string","example":"4"},"collection_code":{"type":"string","example":"COL"},"status":{"type":"string","enum":["IN_PROGRESS","NOTES","PENDING","APPROVED","SHIPPED","CANCELLED","RETURNED"]},"shipping_address_id":{"type":"string","example":"1"},"shipping_address_code":{"type":"string","example":"SHP"},"shipping_price":{"type":"string","example":"10.86"},"billing_address_id":{"type":"string","example":"2"},"billing_address_code":{"type":"string","example":"BIL"},"sales_rep_id":{"type":"string","example":"444"},"sales_rep_code":{"type":"string","example":"SRC"},"payment_method_id":{"type":"string","example":"444"},"payment_method_code":{"type":"string","example":"PMC1"},"tracking_number":{"type":"string","example":"221XS"},"export_status":{"type":"string","enum":["UNDEFINED","SUCCESS","FAILED",""]},"export_description":{"type":"string","example":"desc"},"buyer_id":{"type":"string","example":"222"},"shipping_method_id":{"type":"string","example":"4"},"shipping_method_code":{"type":"string","example":"SMC"},"po_number":{"type":"string","maxLength":255,"example":"3456"},"comments":{"type":"string","example":"comments"},"internal_comments":{"type":"string","example":"internal comments"},"delivery_window_start":{"type":"string","description":"Optional field but required if 'delivery_window_end' is entered (YYYY-MM-DD or YYYY-MM-DDThh:mm:ss.msZ)","example":"2020-01-01"},"delivery_window_end":{"type":"string","description":"Optional field but required if 'delivery_window_start' is entered (YYYY-MM-DD or YYYY-MM-DDThh:mm:ss.msZ)","example":"2020-01-01"},"type\"":{"$ref":"#/components/schemas/Type"},"discount":{"$ref":"#/components/schemas/Discount"},"tax":{"$ref":"#/components/schemas/TaxRequest"}}},"SkuLineItem":{"type":"object","properties":{"id":{"type":"string","example":"324"},"order_id":{"type":"string","example":"4"},"door":{"$ref":"#/components/schemas/Door"},"line_item_sku":{"$ref":"#/components/schemas/LineItemSku"},"quantity":{"type":"integer","format":"int32","example":44},"cancelled":{"type":"boolean","example":false}}},"SkuLineItemDeleted":{"type":"object","properties":{"id":{"type":"string","example":"32"}}},"TransactionCreated":{"type":"object","properties":{"transaction_id":{"type":"string","example":"3"}}},"Door":{"type":"object","properties":{"id":{"type":"string","example":"46578"},"code":{"type":"string","example":"door_code_46578"},"name":{"type":"string","example":"Door 46578"}}},"LineItemSku":{"type":"object","properties":{"original_id":{"type":"string","example":"22"},"sku_identifier":{"type":"string","example":"sku_id_ss"},"upc":{"type":"string","example":"500000294375"},"product":{"type":"object","properties":{"id":{"type":"string","example":"3"},"external_id":{"type":"string","example":"ext42"},"identifier":{"type":"string","example":"FUR"},"name":{"type":"string","example":"Fur Dress"}}},"wholesale_price":{"type":"number","example":"10.00"},"suggested_retail_price":{"type":"number","example":"50.00"},"trait_values":{"type":"array","items":{"$ref":"#/components/schemas/SkuTraitValue"}},"delivery":{"$ref":"#/components/schemas/SkuDelivery"}}},"SkuTraitValue":{"required":["trait","value"],"properties":{"trait":{"$ref":"#/components/schemas/Trait"},"value":{"type":"string","example":"val"},"external_id":{"type":"string","example":"444"}}},"Trait":{"required":["id","name","type"],"properties":{"id":{"type":"string","example":"33"},"name":{"type":"string","example":"Blue"},"type":{"type":"string","example":"Leather"}}},"SkuLineItemCreateData":{"required":["order_id","quantity"],"properties":{"order_id":{"type":"string","maxLength":100,"example":"4"},"sku_id":{"type":"string","example":"sku_id_ss"},"sku_identifier":{"type":"string","maxLength":255,"example":""},"door_id":{"type":"string","example":"45876"},"door_code":{"type":"string","example":"45876"},"wholesale_price":{"type":"string","example":"20.00"},"quantity":{"type":"integer","format":"int32","minimum":0,"example":22},"cancelled":{"type":"boolean","example":false}}},"SkuLineItemUpdateData":{"required":["quantity"],"properties":{"id":{"type":"string","example":"31"},"order_id":{"type":"string","maxLength":100,"example":"4"},"sku_id":{"type":"string","example":"sku_id_ss"},"sku_identifier":{"type":"string","maxLength":255,"example":""},"door_id":{"type":"string","example":"45876"},"door_code":{"type":"string","example":"45876"},"wholesale_price":{"type":"string","example":"20.00"},"quantity":{"type":"integer","format":"int32","minimum":0,"example":22},"cancelled":{"type":"boolean","example":false}}},"SkuLineItemDeleteData":{"properties":{"id":{"type":"string","example":"4"},"order_id":{"type":"string","example":"4"},"sku_id":{"type":"string","example":"sku_id_ss"},"sku_identifier":{"type":"string","maxLength":255,"example":""}}},"TransactionCreateData":{"required":["invoice_id","order_id","amount","currency_code","method","payor","external_id"],"properties":{"invoice_id":{"type":"string","example":"33"},"order_id":{"type":"string","example":"34"},"amount":{"type":"number","example":153.0},"currency_code":{"type":"string","example":"GBP"},"provider":{"type":"string","default":"API"},"method":{"type":"string","example":"credit card"},"external_id":{"type":"string","example":"78342"},"payor":{"type":"string","example":"Joor User"},"payor_email":{"type":"string","example":"JoorUser@gmail.com"}}},"Error":{"required":["status","message"],"properties":{"status":{"type":"string","example":"DATA_ERROR"},"message":{"type":"string","example":"Generic Error"},"details":{"type":"object"}}},"DefaultError":{"required":["code","message"],"properties":{"code":{"type":"integer","format":"int32","example":500},"message":{"type":"string","example":"An unknown error has occurred. Please try again, and if the issue persists please contact support."}}},"OrdersErrorCreate":{"required":["status","message"],"properties":{"status":{"type":"string","example":"VALIDATION_ERROR"},"message":{"type":"string","example":"Billing address id `111` does not belong to customer"},"details":{"type":"object","properties":{"customer_id":{"type":"string","example":"3"},"customer_code":{"type":"string","example":""},"price_type_id":{"type":"string","example":"33"},"price_type_name":{"type":"string","example":""},"collection_id":{"type":"string","example":"79"},"collection_code":{"type":"string","example":""},"status":{"type":"string","enum":["IN_PROGRESS","NOTES","PENDING","APPROVED","SHIPPED","CANCELLED","RETURNED"]},"shipping_address_id":{"type":"string","example":"43"},"shipping_address_code":{"type":"string","example":""},"shipping_price":{"type":"string","example":"10.86"},"billing_address_id":{"type":"string","example":"111"},"billing_address_code":{"type":"string","example":""},"sales_rep_id":{"type":"string","example":""},"sales_rep_code":{"type":"string","example":"SRC"},"payment_method_id":{"type":"string","example":"3"},"payment_method_code":{"type":"string","example":"2C"},"tracking_number":{"type":"string","example":"ARK#22"},"export_status":{"type":"string","enum":["","UNDEFINED","SUCCESS","FAILED"]},"export_description":{"type":"string","example":"desc"},"buyer_id":{"type":"string","example":"2"},"shipping_method_id":{"type":"string","example":"1111"},"shipping_method_code":{"type":"string","example":""},"po_number":{"type":"string","maxLength":255,"example":"2"},"comments":{"type":"string","example":"comments"},"internal_comments":{"type":"string","example":"internal_comments"},"delivery_window_start":{"type":"string","example":"2021-01-01T00:00:00Z"},"delivery_window_end\"":{"type":"string","example":"2021-01-01T00:00:00Z"},"discount":{"$ref":"#/components/schemas/Discount"}}}}},"OrdersErrorUpdate":{"required":["status","message"],"properties":{"status":{"type":"string","example":"NOT_FOUND"},"message":{"type":"string","example":"Order id `1323123` not found"},"details":{"type":"object","properties":{"id":{"type":"string","example":"1323123"},"customer_id":{"type":"string","example":"3"},"customer_code":{"type":"string","example":""},"price_type_id":{"type":"string","example":"33"},"price_type_name":{"type":"string","example":""},"collection_id":{"type":"string","example":"79"},"collection_code":{"type":"string","example":""},"status":{"type":"string","enum":["IN_PROGRESS","NOTES","PENDING","APPROVED","SHIPPED","CANCELLED","RETURNED"]},"shipping_address_id":{"type":"string","example":"43"},"shipping_address_code":{"type":"string","example":""},"shipping_price":{"type":"string","example":"10.86"},"billing_address_id":{"type":"string","example":"111"},"billing_address_code":{"type":"string","example":""},"sales_rep_id":{"type":"string","example":""},"sales_rep_code":{"type":"string","example":"SRC"},"payment_method_id":{"type":"string","example":"3"},"payment_method_code":{"type":"string","example":"2C"},"tracking_number":{"type":"string","example":"ARK#22"},"export_status":{"type":"string","enum":["","UNDEFINED","SUCCESS","FAILED"]},"export_description":{"type":"string","example":"desc"},"buyer_id":{"type":"string","example":"2"},"shipping_method_id":{"type":"string","example":"1111"},"shipping_method_code":{"type":"string","example":""},"po_number":{"type":"string","maxLength":255,"example":"2"},"comments":{"type":"string","example":"comments"},"internal_comments":{"type":"string","example":"internal_comments"},"delivery_window_start":{"type":"string","example":"2021-01-01T00:00:00Z"},"delivery_window_end\"":{"type":"string","example":"2021-01-01T00:00:00Z"},"discount":{"$ref":"#/components/schemas/Discount"}}}}},"SkuLineItemsErrorCreate":{"required":["status","message"],"properties":{"status":{"type":"string","example":"VALIDATION_ERROR"},"message":{"type":"string","example":"Invalid quantity"},"details":{"type":"object","properties":{"order_id":{"type":"string","example":"3"},"sku_id":{"type":"string","example":"sku_id_22"},"quantity":{"type":"string","example":"2"},"wholesale_price":{"type":"string","example":"222.32"},"sku_identifier":{"type":"string","example":"sku_id_22"}}}}},"SkuLineItemsErrorUpdate":{"required":["status","message"],"properties":{"status":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","properties":{"id":{"type":"string","example":"44"},"order_id":{"type":"string","example":"3"},"sku_id":{"type":"string","example":"sku_id_22"},"quantity":{"type":"string","example":"2"},"wholesale_price":{"type":"string","example":"222.32"},"sku_identifier":{"type":"string","example":"sku_id_22"}}}}},"SkuLineItemsErrorDelete":{"required":["status","message"],"properties":{"status":{"type":"string"},"message":{"type":"string"},"details":{"type":"object","properties":{"id":{"type":"string","example":"33"},"order_id":{"type":"string","example":"3"},"sku_id":{"type":"string","example":"sku_id_4"},"sku_identifier":{"type":"string","example":"sku_identifier_34"}}}}}},"securitySchemes":{"petstore_auth":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"http://petstore.swagger.io/oauth/dialog","scopes":{"write:pets":"modify pets in your account","read:pets":"read your pets"}}}},"api_key":{"type":"apiKey","name":"api_key","in":"header"}}}}